GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm2.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "f9c57cc1-bf55-4019-9d84-3d319a4bd661",
"private_locations": [
{
"private_location_id": "dbb01e04-8873-4463-aef2-c35f45881f96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "4f68a0cc-afcb-4ff8-b4e3-e78ab593463a"
},
{
"private_location_id": "98bee259-5cae-49e5-835e-744d1a0bb255",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5bc106e-7c55-423e-95f0-bdd46a8dada8"
},
{
"private_location_id": "2d1d31a9-9b0b-4970-aec7-508b8bc38310",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "699a8cb0-2211-4d61-b110-5961f07b0b02"
}
]
},
{
"access_group": "6f753963-581c-48fe-bfca-8725c2e64399",
"private_locations": [
{
"private_location_id": "2d1d31a9-9b0b-4970-aec7-508b8bc38310",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "699a8cb0-2211-4d61-b110-5961f07b0b02"
},
{
"private_location_id": "2d1d31a9-9b0b-4970-aec7-508b8bc38310",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "699a8cb0-2211-4d61-b110-5961f07b0b02"
},
{
"private_location_id": "98bee259-5cae-49e5-835e-744d1a0bb255",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5bc106e-7c55-423e-95f0-bdd46a8dada8"
}
]
},
{
"access_group": "5e14ec4f-73f5-4d97-84ca-f1ae16ac410b",
"private_locations": [
{
"private_location_id": "dbb01e04-8873-4463-aef2-c35f45881f96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "4f68a0cc-afcb-4ff8-b4e3-e78ab593463a"
},
{
"private_location_id": "98bee259-5cae-49e5-835e-744d1a0bb255",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5bc106e-7c55-423e-95f0-bdd46a8dada8"
},
{
"private_location_id": "dbb01e04-8873-4463-aef2-c35f45881f96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "4f68a0cc-afcb-4ff8-b4e3-e78ab593463a"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |